\name{densityPlot}
\alias{densityPlot}
\title{Plotting the distribution of counts for a metagenome}
\description{
\code{densityPlot} plots the probability distribution of the counts for a
metagenome.
}
\usage{
densityPlot(data, sample=1, color.hist="red3", log.yaxis=TRUE, xlim, ylim,
remove.zeros=TRUE, ...)
}
\arguments{
\item{data}{a ShotgunFunctionalizeR data object.}
\item{sample}{a integer indicating which sample that should be plotted.
Defaults to 1.}
\item{color.hist}{the color of the produced histogram}
\item{log.yaxis}{should be y-axis be on a logarithmic scale? Defaults to TRUE}
\item{xlim}{the x limits of the plot}
\item{ylim}{the y limits of the plot}
\item{remove.zeros}{should gene families with zero observation be removed?}
\item{...}{additional arguments for the \code{\link{plot}} function}
}
\examples{
data(OceanCOG)
densityPlot(OceanCOG, sample=1, xlim=c(0,20))
}
\seealso{
\code{\link{readGeneFamilies}}, \code{\link{plot}}
}
\keyword{hplot}
