\name{testGeneCategories}
\alias{testGeneCategories}
\title{Tests for significant gene categories}
\description{
Main test function
}
\usage{
testGeneCategories(data, method="GaussianSum", 
                   category="cogpathways", samples=c(1,2),
		   multtest="BH", ord=TRUE,
		   enrichment.method="Binomial",enrichment.p=0.1,
		   design.matrix=NULL, coef=1,		   
  		   covariates=NULL, log.covariates=FALSE, groups=NULL,
		   overdisp=FALSE)
}
\arguments{
\item{data}{Data object}
\item{method}{Method to use}
\item{category}{Which type of gene category should be used?}
\item{samples}{Samples to use}
\item{multtest}{Procedure for multiple testing correction}
\item{ord}{Should the resulting ranking list be sorted}
\item{enrichment.method}{Which method should be used for enrichment analysis}
\item{enrichment.p}{Which p-value cut-off should be used for enrichment
analysis}
\item{design.matrix}{Design matrix for the general poisson model}
\item{coef}{Which coefficient from the design matrix should be used}
\item{covariates}{Covariates for poisson regression}
\item{log.covariates}{Should the covariates be logged?}
\item{groups}{Groups for direct comparison}
\item{overdisp}{Should the poisson model use overdispersion?}
}
\seealso{
\code{\link{testGeneCategories.gaussiansum}},
\code{\link{testGeneCategories.independence}},
\code{\link{testGeneCategories.enrichment}},
\code{\link{testGeneCategories.poisson}}
}
\keyword{htest}
