\name{trendPlot}
\alias{trendPlot}
\title{Plots the result from a regression analysis using the Poisson model}
\description{
\code{groupPlot} plots the result from a regression analysis.
The normalized rate is shown for each sample together with the fitted trend
line. This function requires that the
Poisson model has been fitted to the data.
}
\usage{
trendPlot(stat, ...)
}
\details{Depending on the supplied data object, \code{trendPlot} uses either
\code{\link{trendPlot.family}} or \code{\link{trendPlot.category}} to
produce a plot.}
\arguments{
\item{stat}{results from a regression analysis using Poisson model}
\item{...}{additional arguments to either \code{\link{trendPlot.family}} or
\code{\link{trendPlot.category}}}
}
\examples{
\dontrun{
data(OceanCOG)
po.stat<-testGeneFamilies.regression(OceanCOG, covariates=c(10, 70, 130, 200, 500, 770, 4000), log.covariates=T)
trendPlot(po.stat, family="COG0415")
}}
\seealso{
\code{\link{groupPlot}}, \code{\link{groupPlot.family}},
\code{\link{groupPlot.category}},\code{\link{trendPlot.family}},\code{\link{trendPlot.category}}
}
\keyword{hplot}
